package com.seer.teach.mp.admin.convert;

import com.seer.teach.mp.admin.controller.req.MpDealerApplyQueryReq;
import com.seer.teach.mp.admin.controller.resp.MpDealerApplyResp;
import com.seer.teach.mp.entity.MpDealerApplicationsEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminDealerApplicationsConvert {


    AdminDealerApplicationsConvert INSTANCE = Mappers.getMapper(AdminDealerApplicationsConvert.class);

    MpDealerApplyResp convertOne(MpDealerApplicationsEntity req);

    List<MpDealerApplyResp> convertRespList(List<MpDealerApplicationsEntity> list);

    MpDealerApplicationsEntity convertOne(MpDealerApplyQueryReq pageReq);
}
